guestfs-tools (1.54.0-3ubuntu2) stonking; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Aug 2026 17:57:02 +0200

guestfs-tools (1.54.0-3ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 May 2026 17:11:30 +0200

guestfs-tools (1.54.0-3) unstable; urgency=medium

  * Limit architectures: qemu (and hence libguestfs) will be 64bit-only.

 -- Hilko Bengen <bengen@debian.org>  Wed, 08 Apr 2026 13:26:48 +0200

guestfs-tools (1.54.0-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Feb 2026 09:52:37 +0100

guestfs-tools (1.54.0-2) unstable; urgency=medium

  * Add patch from libguestfs-common introducing application2->app2_class
    (Closes: #1128185)
  * Bump libguestfs* build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Mon, 16 Feb 2026 18:52:31 +0100

guestfs-tools (1.54.0-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Feb 2026 08:43:44 +0100

guestfs-tools (1.54.0-1) unstable; urgency=medium

  * New upstream version 1.54.0
  * Update build-dependencies
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 09 Feb 2026 12:46:31 +0100

guestfs-tools (1.52.3-3.1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Feb 2026 08:20:14 +0100

guestfs-tools (1.52.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on ocaml instead of transitional ocaml-nox (Closes:
    #1125098)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Jan 2026 08:57:23 +0100

guestfs-tools (1.52.3-3ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Nov 2025 09:34:49 +0100

guestfs-tools (1.52.3-3) unstable; urgency=medium

  * Don't run tests unless kvm is available (Closes: #1120924)

 -- Hilko Bengen <bengen@debian.org>  Tue, 25 Nov 2025 22:51:20 +0100

guestfs-tools (1.52.3-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Nov 2025 13:58:32 +0100

guestfs-tools (1.52.3-2) unstable; urgency=medium

  * Add libcrypt-dev build-dependency (Closes: #1106927)

 -- Hilko Bengen <bengen@debian.org>  Mon, 17 Nov 2025 23:45:49 +0100

guestfs-tools (1.52.3-1.1ubuntu4) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 09:03:39 +0100

guestfs-tools (1.52.3-1.1ubuntu3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Nov 2025 17:43:45 +0100

guestfs-tools (1.52.3-1.1ubuntu2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 09:00:02 +0100

guestfs-tools (1.52.3-1.1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Sep 2025 21:06:59 +0200

guestfs-tools (1.52.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch by Aurelien Jarno to fix FTBFS on riscv64 due to too
    many parallel tests (Closes: #1112101)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 23 Sep 2025 09:36:22 +0200

guestfs-tools (1.52.3-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 May 2025 14:48:36 +0200

guestfs-tools (1.52.3-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Mar 2025 08:13:13 +0100

guestfs-tools (1.52.3-1) unstable; urgency=medium

  * New upstream version 1.52.3

 -- Hilko Bengen <bengen@debian.org>  Wed, 19 Feb 2025 12:08:52 +0100

guestfs-tools (1.52.2-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Feb 2025 10:33:22 +0100

guestfs-tools (1.52.2-4) unstable; urgency=medium

  * Drop kernel build-dependency for i386

 -- Hilko Bengen <bengen@debian.org>  Sat, 01 Feb 2025 17:11:41 +0100

guestfs-tools (1.52.2-3ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 08:38:17 +0100

guestfs-tools (1.52.2-3) unstable; urgency=medium

  * Fix AppArmor policy file (Closes: #1093780)

 -- Hilko Bengen <bengen@debian.org>  Wed, 22 Jan 2025 20:34:06 +0100

guestfs-tools (1.52.2-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:03:01 +0100

guestfs-tools (1.52.2-2) unstable; urgency=medium

  [ Stefano Brivio ]
  * Introduce AppArmor profile (Closes: #1086844)

  [ Hilko Bengen ]
  * Add build-dependency for AppArmor profile

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Nov 2024 21:31:37 +0100

guestfs-tools (1.52.2-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 17:45:39 +0100

guestfs-tools (1.52.2-1) unstable; urgency=medium

  * New upstream version 1.52.2
  * Remove obsolete patch
  * Update build-dependencies
  * Remove obsolete lintian overrides
  * Disable test

 -- Hilko Bengen <bengen@debian.org>  Sat, 05 Oct 2024 22:35:42 +0200

guestfs-tools (1.52.0-4ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Sep 2024 00:18:22 +0200

guestfs-tools (1.52.0-4) unstable; urgency=medium

  * Apply upstream patch to remove sparsify test (Closes: #1078282)

 -- Hilko Bengen <bengen@debian.org>  Wed, 21 Aug 2024 20:34:14 +0200

guestfs-tools (1.52.0-3ubuntu2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:53:58 +0200

guestfs-tools (1.52.0-3ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Jun 2024 07:58:30 +0200

guestfs-tools (1.52.0-3) unstable; urgency=medium

  * rpi kernel as armel build dependency.
    Thanks to Peter Green (Closes: #1072980)

 -- Hilko Bengen <bengen@debian.org>  Tue, 11 Jun 2024 13:07:24 +0200

guestfs-tools (1.52.0-2ubuntu7) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 May 2024 20:24:00 +0200

guestfs-tools (1.52.0-2ubuntu6) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 May 2024 22:33:15 +0200

guestfs-tools (1.52.0-2ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:55:44 +1100

guestfs-tools (1.52.0-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libguestfs t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 17:16:55 +0100

guestfs-tools (1.52.0-2ubuntu3) noble; urgency=medium

  * No change rebuild against new libguestfs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Mar 2024 12:14:18 +0100

guestfs-tools (1.52.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:57:48 +0000

guestfs-tools (1.52.0-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jan 2024 12:14:46 +0100

guestfs-tools (1.52.0-2) unstable; urgency=medium

  * Disable tests that use the network

 -- Hilko Bengen <bengen@debian.org>  Tue, 09 Jan 2024 01:35:38 +0100

guestfs-tools (1.52.0-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jan 2024 13:41:47 +0100

guestfs-tools (1.52.0-1) unstable; urgency=medium

  * New upstream version 1.52.0
  * Ensure that package can be rebuilt from source after successful build
    (Closes: #1045072)

 -- Hilko Bengen <bengen@debian.org>  Sun, 07 Jan 2024 22:42:07 +0100

guestfs-tools (1.50.1-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Jun 2023 06:49:42 +0200

guestfs-tools (1.50.1-4) unstable; urgency=medium

  * Disable tests on i386 for now

 -- Hilko Bengen <bengen@debian.org>  Thu, 29 Jun 2023 10:00:45 +0200

guestfs-tools (1.50.1-3ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jun 2023 07:39:25 +0200

guestfs-tools (1.50.1-3) unstable; urgency=medium

  * Make tests verbose: dump log on test failure

 -- Hilko Bengen <bengen@debian.org>  Thu, 29 Jun 2023 00:58:11 +0200

guestfs-tools (1.50.1-2) unstable; urgency=medium

  * Disable tests that fail on some architectures

 -- Hilko Bengen <bengen@debian.org>  Wed, 28 Jun 2023 15:44:14 +0200

guestfs-tools (1.50.1-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Jun 2023 08:35:03 +0200

guestfs-tools (1.50.1-1) unstable; urgency=medium

  * New upstream version 1.50.1
  * Drop patch
  * Update build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Mon, 12 Jun 2023 14:49:18 +0200

guestfs-tools (1.48.3-4ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Apr 2023 10:00:12 +0200

guestfs-tools (1.48.3-4) unstable; urgency=medium

  * Disable test-virt-resize.pl
  * Add libguestfs-common patch, fixing CVE-2022-2211. Closes: #1014764

 -- Hilko Bengen <bengen@debian.org>  Mon, 10 Apr 2023 14:18:02 +0200

guestfs-tools (1.48.3-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Mar 2023 11:15:46 +0100

guestfs-tools (1.48.3-3) unstable; urgency=medium

  * Remove s390x from test architectures

 -- Hilko Bengen <bengen@debian.org>  Mon, 20 Mar 2023 01:07:58 +0100

guestfs-tools (1.48.3-2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Feb 2023 11:07:03 +0100

guestfs-tools (1.48.3-2) unstable; urgency=medium

  * Disable test-virt-builder.sh (Closes: ##1031471)
  * Replace obsolete libtinfo-dev build-dependency

 -- Hilko Bengen <bengen@debian.org>  Tue, 21 Feb 2023 01:06:21 +0100

guestfs-tools (1.48.3-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Jan 2023 08:16:02 +0100

guestfs-tools (1.48.3-1) unstable; urgency=medium

  * New upstream version 1.48.3
  * Update Lintian overriides (syntax)

 -- Hilko Bengen <bengen@debian.org>  Thu, 12 Jan 2023 10:56:31 +0100

guestfs-tools (1.48.2-1ubuntu3) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Dec 2022 21:28:45 +0100

guestfs-tools (1.48.2-1ubuntu2) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Nov 2022 08:38:05 +0100

guestfs-tools (1.48.2-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 May 2022 14:01:31 +0200

guestfs-tools (1.48.2-1) unstable; urgency=medium

  * New upstream version 1.48.2

 -- Hilko Bengen <bengen@debian.org>  Fri, 27 May 2022 13:49:43 +0200

guestfs-tools (1.48.1-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 May 2022 11:28:24 +0200

guestfs-tools (1.48.1-1) unstable; urgency=medium

  * New upstream version 1.48.1

 -- Hilko Bengen <bengen@debian.org>  Mon, 16 May 2022 16:23:12 +0200

guestfs-tools (1.48.0-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't run the tests, requiring Debian's linux-image-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 May 2022 16:04:39 +0200

guestfs-tools (1.48.0-1) unstable; urgency=medium

  * New upstream version 1.48.0
  * Run tests on more architectures: ppc64el, s390x
  * Fix watch file

 -- Hilko Bengen <bengen@debian.org>  Tue, 15 Mar 2022 11:10:37 +0100

guestfs-tools (1.46.1-4ubuntu2) jammy; urgency=medium

  * d/p/disable-ocaml-warning-6-completely.patch: Disable OCaml warning 6
    completely.  Fix FTBFS with new ocaml.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 03 Feb 2022 14:07:04 -0500

guestfs-tools (1.46.1-4ubuntu1) jammy; urgency=medium

  * Remove build dependencies on linux-image-*.
  * Don't run the tests, requiring Debian's linux-image-* packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jan 2022 15:02:14 +0100

guestfs-tools (1.46.1-4build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 22:39:36 +0100

guestfs-tools (1.46.1-4) unstable; urgency=medium

  * Add missing build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Sat, 15 Jan 2022 17:37:11 +0100

guestfs-tools (1.46.1-3) unstable; urgency=medium

  * Attempt to fix FTBFS on non-x86 architectures

 -- Hilko Bengen <bengen@debian.org>  Fri, 14 Jan 2022 16:17:32 +0100

guestfs-tools (1.46.1-2) unstable; urgency=medium

  * Add gbp.conf file
  * Fix debian/copyright file

 -- Hilko Bengen <bengen@debian.org>  Sat, 08 Jan 2022 14:34:10 +0100

guestfs-tools (1.46.1-1) unstable; urgency=medium

  * Initial release (Closes: #1002577)

 -- Hilko Bengen <bengen@debian.org>  Sat, 25 Dec 2021 12:37:58 +0100
